aboutsummaryrefslogtreecommitdiffstats
path: root/mcp/patches/patch.sh
diff options
context:
space:
mode:
authorAlexandru Avadanii <Alexandru.Avadanii@enea.com>2018-02-07 14:52:46 +0000
committerGerrit Code Review <gerrit@opnfv.org>2018-02-07 14:52:46 +0000
commit20dac8e3fd7e3a4161b0ee0ea4f5eb4833a99dda (patch)
treea1aaac388ce04bff363f8fd2182dbc440460bc90 /mcp/patches/patch.sh
parent854729dd3174985f524c2a2ab9d373b65f49d188 (diff)
parentf49be97051c3c5c8bb4386d236197103d3682720 (diff)
Merge "Add NOVCP HA OVS scenario (baremetal, virtual)"
Diffstat (limited to 'mcp/patches/patch.sh')
-rwxr-xr-xmcp/patches/patch.sh9
1 files changed, 4 insertions, 5 deletions
diff --git a/mcp/patches/patch.sh b/mcp/patches/patch.sh
index 1da3bc597..bb48dcd07 100755
--- a/mcp/patches/patch.sh
+++ b/mcp/patches/patch.sh
@@ -11,10 +11,9 @@ CI_DEBUG=${CI_DEBUG:-0}; [[ "${CI_DEBUG}" =~ (false|0) ]] || set -x
if [ -r "$1" ]; then
while IFS=': ' read -r p_dest p_file; do
- if [[ ! "${p_dest}" =~ '^#' ]] && [[ "${p_dest}" =~ $2 ]] && \
- ! patch --dry-run -Rd "${p_dest}" -r - -s -p1 < \
- "/root/fuel/mcp/patches/${p_file}" > /dev/null; then
- patch -d "${p_dest}" -p1 < "/root/fuel/mcp/patches/${p_file}"
+ if ! patch --dry-run -Rd "${p_dest}" -r - -s -p1 < \
+ "/root/fuel/mcp/patches/${p_file}" > /dev/null; then
+ patch -d "${p_dest}" -p1 < "/root/fuel/mcp/patches/${p_file}"
fi
- done < "$1"
+ done < <(grep -vE '^#' "${1}" | grep -E "^.*${2}.*: ")
fi